<?php

namespace App\Enums;

enum DataExportScope: string
{
    case USER = 'user';
    case TENANT = 'tenant';
    case EVENT = 'event';

    public function label(): string
    {
        return match ($this) {
            self::USER => __('User'),
            self::TENANT => __('Tenant'),
            self::EVENT => __('Event'),
        };
    }
}
